org.jgroups.conf

## Class PlainConfigurator

- java.lang.Object
- - org.jgroups.conf.PlainConfigurator

All Implemented Interfaces:
  ProtocolStackConfigurator

    public class PlainConfigurator
    extends java.lang.Object
    implements ProtocolStackConfigurator

A ProtocolStackConfigurator for the old style properties.
Old style properties are referred to as the property string used by channel earlier they look like this PROTOCOL(param=value;param=value):PROTOCOL:PROTOCOL
All it does is that it holds the string, it currently doesn't parse it at all.

Version:
  1.0
Author:
  Filip Hanik (filip@filip.net), Bela Ban

### Constructor Summary

Constructors
Constructor and Description
`PlainConfigurator(java.lang.String properties)` Instantiates a PlainConfigurator with old style properties

### Method Summary

Methods
`java.util.List<ProtocolConfiguration>` `getProtocolStack()`
`java.lang.String` `getProtocolStackString()` returns the old style protocol string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlainConfigurator

    public PlainConfigurator(java.lang.String properties)

Instantiates a PlainConfigurator with old style properties

### Method Detail

#### getProtocolStackString

    public java.lang.String getProtocolStackString()

returns the old style protocol string

Specified by:
  `getProtocolStackString` in interface `ProtocolStackConfigurator`

#### getProtocolStack

    public java.util.List<ProtocolConfiguration> getProtocolStack()

Specified by:
  `getProtocolStack` in interface `ProtocolStackConfigurator`